

<nav class="navbar navbar-expand-lg navbar-light bg-primary">
  <a class="navbar-brand text-white font-weight-bold" [routerLink]="['/home']">ANGULAR DEMO</a>
  <button aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation" class="navbar-toggler"
          data-target="#navbarSupportedContent" data-toggle="collapse" type="button">
    <span class="navbar-toggler-icon"></span>
  </button>
  <div class="collapse navbar-collapse" id="navbarSupportedContent">
    <ul class="navbar-nav mr-auto">
      <li class="nav-item active">
        <a class="nav-link text-white font-weight-bold" [routerLink]="['/user']"  [hidden]="role=='Client'">Users <span class="sr-only">(current)</span></a>
      </li>
      <li class="nav-item">
        <a class="nav-link text-white font-weight-bold" [routerLink]="['/product']">Products</a>
      </li>
      <li class="nav-item">
        <a class="nav-link text-white font-weight-bold" [routerLink]="['/category']" [hidden]="role=='Client'">Categories</a>
      </li>
      <li class="nav-item">
        <a class="nav-link text-white font-weight-bold" [routerLink]="['/profile']" >Profile</a>
      </li>
      <li class="nav-item">


        <!-- #docregion mat-badge-hide -->
        <button mat-button matBadge="{{webSocketService.notifications}}"  [matMenuTriggerFor]="menu"   [matBadgeHidden]="hidden" (click)="toggleBadgeVisibility()" [hidden]="role=='Client'">
          Notification
        </button>
        <mat-menu #menu="matMenu" >
            <div *ngFor="let m of webSocketService.msg">
              <button mat-menu-item>{{m}}</button>
            </div>



        </mat-menu>
        <!-- #enddocregion mat-badge-hide -->

      </li>
    </ul>
    <form [formGroup]="searchForm" style="margin-right: 20px">
    <input aria-label="Search" class=" mr-sm-2" placeholder="Search" formControlName="searchbox" >
    <button class="btn btn-outline-success my-2 my-sm-0" (click)="Find()">Search</button>
    </form>



    <ul class="navbar-nav ">

      <li class="nav-item">
        <div class="avatar mx-auto white"><img src="https://mdbootstrap.com/img/Photos/Avatars/img%20(27).jpg"
                                               alt="avatar mx-auto white" class="rounded-circle " width="50px">
        </div>
      </li>
      <li class="nav-item">
        <a class="nav-link text-white " routerLink="/profile" >{{username}}</a>
      </li>
      <li class="nav-item" >
        <a class="nav-link text-white font-weight-bold" routerLink="" (click)="logout()">Logout</a>
      </li>
    </ul>
  </div>

</nav>


